Skip to main content
`Ctrl`+`K`

# CylindricalDifferential

class astropy.coordinates.CylindricalDifferential(d_rho, d_phi=None, d_z=None, copy=True)

  Bases: `BaseDifferential`

  Differential(s) of points in cylindrical coordinates.

  Parameters:
    d_rho `Quantity` [:ref: ‘speed’]

      The differential cylindrical radius.

    d_phi `Quantity` [:ref: ‘angular speed’]

      The differential azimuth.

    d_z `Quantity` [:ref: ‘speed’]

      The differential height.

    copy bool, optional

      If `True` (default), arrays will be copied. If `False`, arrays will be references, though possibly broadcast to ensure matching shapes.

  Attributes Summary

  `attr_classes` |
  `d_phi` | Component 'd_phi' of the Differential.
  `d_rho` | Component 'd_rho' of the Differential.
  `d_z` | Component 'd_z' of the Differential.
  `name` | Name of the representation or differential.

  Attributes Documentation

  attr_classes = {'d_phi': <class 'astropy.units.quantity.Quantity'>, 'd_rho': <class 'astropy.units.quantity.Quantity'>, 'd_z': <class 'astropy.units.quantity.Quantity'>}
  d_phi

    Component ‘d_phi’ of the Differential.

  d_rho

    Component ‘d_rho’ of the Differential.

  d_z

    Component ‘d_z’ of the Differential.

  name = 'cylindrical'

    Name of the representation or differential.

    When a subclass is defined, by default, the name is the lower-cased name of the class with with any trailing ‘representation’ or ‘differential’ removed. (E.g., ‘spherical’ for `SphericalRepresentation` or `SphericalDifferential`.)

    This can be customized when defining a subclass by setting the class attribute.